
QGIS Application - Bug report #20802

crashed by export

2018-12-13 05:01 PM - Torsten Hase

Status: Feedback

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28622

Description

User Feedback

I wanted to safe the current map as pdf.

Report Details

Crash ID: 7908abcc38d2c4d8339c814978f2110e6993fe0d

Stack Trace

WTFCrash :

JSC::MachineThreads::addCurrentThread :

JSC::MachineThreads::addCurrentThread :

JSC::MachineThreads::addCurrentThread :

JSC::HandleStack::grow :

JSC::Heap::deprecatedReportExtraMemorySlowCase :

JSC::Heap::deprecatedReportExtraMemorySlowCase :

JSC::Heap::deprecatedReportExtraMemorySlowCase :

JSC::Heap::collect :

JSC::GCActivityCallback::doWork :

JSC::HeapTimer::~HeapTimer :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:356

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main main.cpp:1503

WinMain mainwin.cpp:170

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:0ea86bf0a5

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2
Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-01-29 01:01 PM - Peter Petrik

- Crashes QGIS or corrupts data changed from No to Yes

unable to replicate on MacOS with 3.5 master

#2 - 2019-01-29 01:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2019-03-09 04:51 PM - Giovanni Manghi

Please try on a new/clean profile.
